Host Pci Passthru System Get Pci Passthru Info

Host Pci Passthru System Get Pci Passthru Info
Array of PciPassthru information

Array of PciPassthru information

Required privileges: System.Read

Request
URI
GET
https://{vcenter-host}/sdk/vim25/{release}/HostPciPassthruSystem/{moId}/pciPassthruInfo
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the property attaches; the serialized managed object reference for a request has the form moType/moId, in this case HostPciPassthruSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string",
        "id": "string",
        "dependentDevice": "string",
        "passthruEnabled": false,
        "passthruCapable": false,
        "passthruActive": false,
        "hardwareLabel": "string",
        "directPathState": {
            "_typeName": "string",
            "mode": "string",
            "configurableModes": [
                "string"
            ],
            "usedMemory": 0
        }
    }
]
array of object
Optional

This data object provides information about the state of PciPassthru for all pci devices.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/HostPciPassthruSystem/{moId}/pciPassthruInfo